.documents-section {
    padding: 0 0 80px;
}

.documents-heading {
    max-width: 1077px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-bottom: 40px;
}

.documents-heading .section-subtitle {
    margin-top: 20px;
}

.documents-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 60px 20px;
    align-items: stretch;
}

.document-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    height: 100%;
    gap: 20px;
}

.document-card.preview .document-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.document-img {
    width: 331px;
    height: 430px;
    border-radius: 12px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f0f0f0;
}

.document-card h6 {
    color: var(--black);
}

.document-card p {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    min-height: 90px;
}

.documents-section .section-note {
    max-width: 1077px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 80px;
}

.theme-btn .icon svg,
.theme-btn-outline-black .icon svg {
    width: 20px;
    height: 20px;
}

.document-img .pdf-icon {
    width: 100px;
    height: 100px;
}

@media (max-width: 1024px) {
    .document-card.preview .pdf-icon {
        width: 280px;
        height: 300px;
    }
}

@media (max-width: 991px) {
    .documents-section {
        padding: 0 0 60px;
    }
    .documents-heading {
        margin-bottom: 30px;
    }
    .documents-grid {
        gap: 30px 20px;
    }
    .document-img {
        width: 280px;
        height: 300px;
    }
}

@media (max-width: 768px) {
    .documents-section {
        padding: 0 0 40px;
    }
    .documents-section .section-note {
        margin-top: 40px;
    }
    .documents-grid {
        gap: 40px 20px;
        grid-template-columns: repeat(2, 1fr);
    }
    .document-card {
        gap: 12px;
    }
    .document-card p {
        display: block;
        min-height: auto;
    }
    .document-img {
        width: 250px;
        height: 250px;
    }
    .theme-btn .icon svg,
    .theme-btn-outline-black .icon svg {
        width: 15px;
        height: 15px;
    }
    .document-card .pdf-icon {
        width: 80px;
        height: 80px;
    }
}

@media (max-width: 420px) {
    .documents-grid {
        grid-template-columns: 1fr;
    }
}